DECLARE @totalMem BIGINT

SELECT @totalMem = cntr_value
FROM sys.dm_os_performance_counters
WHERE [counter_name] = 'Target Server Memory (KB)'

SELECT    [object_name]
		, counter_name
		, cntr_value
		, cntr_type
FROM sys.dm_os_performance_counters
WHERE [counter_name] IN (	  'Stolen Server Memory (KB)'
							, 'Total Server Memory (KB)'
							, 'Target Server Memory (KB)'
							, 'SQL Cache Memory (KB)'
							, 'Optimizer Memory (KB)'
							, 'Memory Grants Outstanding'
							, 'Memory Grants Pending'
							, 'Free Memory (KB)'
							, 'Connection Memory (KB)'
							, 'Lock Memory (KB)')
							AND instance_name IN ('','_total')